Welcome to the Slackware Documentation Project

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
slackware:multilib [2017/06/25 15:46 (UTC)]
alienbob Refresh the information for '-current'.
slackware:multilib [2019/12/04 20:50 (UTC)]
alienbob [The quick 'n' dirty instructions] Be more specific about releases.
Line 89: Line 89:
     * Done! You can now start downloading,​ installing and running 32bit programs. This was not so hard, was it?     * Done! You can now start downloading,​ installing and running 32bit programs. This was not so hard, was it?
  
-<note warning>​If you use a package manager like //​slackpkg//​ you will have to add all the ''​glibc''​ and ''​gcc''​ package names to its package blacklist. If you do not take this precaution, you run the risk of your package manager accidentally replacing your multilib versions with Slackware'​s original pure 64-bit versions!\\ If you run Slackware 13.37 or newer, then slackpkg supports regular expressions in the blacklist file. In that case, a single line in ''/​etc/​slackpkg/​blacklist''​ will be enough to blacklist all of my packages (including multilib gcc and glibc packages and all ''​compat32''​ packages): <​code>​+<note warning>​If you use a package manager like //​slackpkg// ​on Slackware releases older dan 13.37 you will have to add all the ''​glibc''​ and ''​gcc''​ package names to its package blacklist. If you do not take this precaution, you run the risk of your package manager accidentally replacing your multilib versions with Slackware'​s original pure 64-bit versions!\\ If you run Slackware 13.37 or newer, then slackpkg supports regular expressions in the blacklist file. In that case, a single line in ''/​etc/​slackpkg/​blacklist''​ will be enough to blacklist all of my packages (including multilib gcc and glibc packages and all ''​compat32''​ packages): <​code>​
 [0-9]+alien [0-9]+alien
 [0-9]+compat32 [0-9]+compat32
Line 193: Line 193:
     * gcc-objc-5.3.0_multilib-x86_64-3alien.txz     * gcc-objc-5.3.0_multilib-x86_64-3alien.txz
   * The GNU libc libraries:   * The GNU libc libraries:
-    * glibc-2.23_multilib-x86_64-1alien.txz +    * glibc-2.23_multilib-x86_64-2alien.txz 
-    * glibc-i18n-2.23_multilib-x86_64-1alien.txz +    * glibc-i18n-2.23_multilib-x86_64-2alien.txz 
-    * glibc-profile-2.23_multilib-x86_64-1alien.txz +    * glibc-profile-2.23_multilib-x86_64-2alien.txz 
-    * glibc-solibs-2.23_multilib-x86_64-1alien.txz+    * glibc-solibs-2.23_multilib-x86_64-2alien.txz
  
 ====Slackware64 current==== ====Slackware64 current====
Line 211: Line 211:
     * gcc-objc-7.1.0_multilib-x86_64-2alien.txz     * gcc-objc-7.1.0_multilib-x86_64-2alien.txz
   * The GNU libc libraries:   * The GNU libc libraries:
-    * glibc-2.25_multilib-x86_64-2alien.txz +    * glibc-2.25_multilib-x86_64-3alien.txz 
-    * glibc-i18n-2.25_multilib-x86_64-2alien.txz +    * glibc-i18n-2.25_multilib-x86_64-3alien.txz 
-    * glibc-profile-2.25_multilib-x86_64-2alien.txz +    * glibc-profile-2.25_multilib-x86_64-3alien.txz 
-    * glibc-solibs-2.25_multilib-x86_64-2alien.txz+    * glibc-solibs-2.25_multilib-x86_64-3alien.txz
  
 <​note>​Since the update to gcc 7, there is no more ''​gcc-java''​ package because its development has ceased.</​note>​ <​note>​Since the update to gcc 7, there is no more ''​gcc-java''​ package because its development has ceased.</​note>​

In Other Languages
QR Code
QR Code slackware:multilib (generated for current page)